Subject: RE: bug#5054: 23.1.50; buffer-menu truncated fields

From: "Drew Adams" <[email-masked]>
Date: Mon, 4 Jan 2010 09:40:43 -0800

>  > mr> Customizing the group `buffer-menu' gives you a buffer 
>  > mr> including the option `Buffer-menu-buffer+size-width'
>  > mr> which is probably the one you want to tweak here.
>  >
>  > maybe there should be "you can customize this group" 
>  > visible to the user so he can learn that.
> 
> A pushable button similar to the one you can find for customizable
> options.  That would be reasonable I think.  Juri, what do you think?

Why complicate things so much? If users knowing about this option is truly a
problem, then just mention the option in `C-h m'.

It also wouldn't be a bad idea, IMO, to change the default binding of `C-x C-b'
from `list-buffers' to `buffer-menu'. (I do that in my .emacs.)

>  >  Buffer-menu-buffer+size-width is a variable defined in 
>  > `buff-menu.el'.  Its value is 26
>  >
>  >   Documentation:
>  >   How wide to jointly make the buffer name and size columns.
>  >
>  > But I want to use the same .emacs file with many different terminal
>  > sizes. Why can't there be a setting 'maximum or 
>  > 'current-window-width or something?

FWIW, the code from buff-menu+.el could be integrated. It lets you change the
value of option `Buffer-menu-buffer+size-width' incrementally, on the fly, using
keys `+' and `-'. When limited window space makes it impossible to see
everything, you control how much of which fields you see.

http://www.emacswiki.org/emacs/BufferMenuPlus